package com.njcn.harmonic.enums;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年12月20日 09:56
 */
@Getter
public enum HarmonicResponseEnum {

    /**
     * 谐波模块异常响应码的范围：
     * A00550 ~ A00649
     */
    HARMONIC_COMMON_ERROR("A00550","谐波模块异常"),

    LIMIT_MISSING_ERROR("A00551","limit_rate表缺失限值数据"),

    CUSTOM_REPORT_REPEAT("A00552","自定义报表模板名称已存在"),

    CUSTOM_REPORT_JSON("A00553","模板非严格json数据"),

    CUSTOM_REPORT_DEPT("A00554","该部门已存在绑定报表模板"),
    CUSTOM_TYPE("A00555","字典中未查询到报表模板类型"),
    CUSTOM_REPORT_ACTIVE("A00556","不存在激活的自定义报告模板"),
    CUSTOM_REPORT_EMPTY("A00557","自定义报表模板异常,模板数据为空"),
    CUSTOM_REPORT_FILE("A00558","上传文件服务器错误，请检查数据"),

    REPORT_DOWNLOAD_ERROR("A00559","报表文件下载异常"),
    REPORT_TEMPLATE_DOWNLOAD_ERROR("A00560","报表模板下载异常"),
    NO_DATA("A00561","时间范围内暂无谐波数据"),
    INSUFFICIENCY_OF_INTEGRITY("A00561","时间范围内谐波数据完整性不足"),
    NO_LINE_DATA("A00562","监测点无有功功率数据"),
    ;

    private final String code;

    private final String message;

    HarmonicResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
